Bug 90438 - Horizontal and vertical maximize doesn't toggle
Horizontal and vertical maximize doesn't toggle
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2003-05-08 05:06 EDT by Gary Benson
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-03 17:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2003-05-08 05:06:18 EDT
In the Keyboard Shortcuts preference there are three different keys available
for maximize: "Maximize window", "Unmaximize window", and "Toggle maximization
state".  For vertical and horizontal maximization, however, there is only one
key available for each: "Maximize window vertically" and "Maximize window

If you are assigning a keyboard shortcut to maximization then it makes sense to
assign it to the toggle function rather than the maximize function.

Also, maximizing horizontally or vertically seems to make it forget how big the
window was in that direction.
Comment 1 Havoc Pennington 2003-05-08 09:59:49 EDT
Single-direction "maximize" isn't a state, it's just a shortcut for 
resizing the window. Thus the behavior you see there. A deliberate 
decision though I don't remember all the details.
Comment 2 Gary Benson 2003-05-08 10:13:24 EDT
I thought as much.  I think sawfish has a pair of states both of which the
maximize button effects: sawfish's toggle-maximize function does something like
'if the both states are maximized then set both to unmaximized else set both to
maximized'.  I tried to implement this a while back but ISTR there were a lot of
code paths that needed altering and other work eventually compelled me to drop
it :-/
Comment 3 Havoc Pennington 2003-10-03 17:57:15 EDT
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=113601

Note You need to log in before you can comment on or make changes to this bug.